summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-09-13 18:05:03 +0300
committerMart Raudsepp <leio@gentoo.org>2018-09-13 18:05:26 +0300
commita8fb9f71933a90411d5b089573b689bc7daa750a (patch)
tree2d3b66f732c2e09ae6e95ba078f74e105768302d
parentdev-db/redis: bump to 5.0-rc5 (diff)
downloadgentoo-a8fb9f71933a90411d5b089573b689bc7daa750a.tar.gz
gentoo-a8fb9f71933a90411d5b089573b689bc7daa750a.tar.bz2
gentoo-a8fb9f71933a90411d5b089573b689bc7daa750a.zip
gnome-base/gvfs: bump to 1.34.2.1
Package-Manager: Portage-2.3.49, Repoman-2.3.10
-rw-r--r--gnome-base/gvfs/Manifest2
-rw-r--r--gnome-base/gvfs/gvfs-1.34.2.1-r1.ebuild131
2 files changed, 133 insertions, 0 deletions
diff --git a/gnome-base/gvfs/Manifest b/gnome-base/gvfs/Manifest
index 113aac390e5..47c8c66979f 100644
--- a/gnome-base/gvfs/Manifest
+++ b/gnome-base/gvfs/Manifest
@@ -2,3 +2,5 @@ DIST gvfs-1.32.1-patches.tar.xz 53288 BLAKE2B 2394f0931927069b4aeab69769df74c823
DIST gvfs-1.32.1.tar.xz 1813212 BLAKE2B 4b349e968eaab75d75ac9e7b66087298754ad81668e415812c4db74e2e393ac2cddea1b55771656dcd67ffdca23e4cf1642afef101498d309c643519fcefcca3 SHA512 7bd4d137437c1704faf6a9c2712bddcc327284e752c552c2cc18c64beb5e6d291af321e92d02d4f09b619762121129cee82c13ec2a4ca39d045196ebeeb28dd8
DIST gvfs-1.32.2-patchset.tar.xz 22152 BLAKE2B 46371e4da9f3259ae1be6e7900aa9c3fa83913cf1f5ac80c485abc6a10bd77667e7fad29a09eb160af39212da31c00ccccbc3e47b4ed79780e254ff78d4b7130 SHA512 d7a17a33b737d8ac679e259055b57f63ef18f783dd7887c726502f8c05cb9339addd8728ee180ed15dc7d067ff45cc1888bc42a8ca45f9734717cfcde53f3e45
DIST gvfs-1.32.2.tar.xz 1820100 BLAKE2B a12209f8d1f1350edfc470bb8181d68172580909764899a20b248e5dca673e5904aef0562f3244336dd8eff66cbae926d4fb2ebcccc30125328e15aeb622b481 SHA512 2fecb7103917f976528a75d317ddb6c9a71c2787cd1bd442c42a40177b74a026e37c9794117f802ebf608091d446ac58eb80d1a618df619180bb3920a98a9457
+DIST gvfs-1.34.2.1-patchset.tar.xz 2608 BLAKE2B 1041815fa35e052219df561325bab4a96e9e36c5b3afac70c6bf16f21fe3d72b70edbc59fb9df4b5b266748f6fdeb7358182bffd0eb61572d86c369a57a49bb9 SHA512 1baafda67997265ae5ad0facbdaf1d274fb400fffa3059aad40a9239b20c1362bcaa58e3a751dc575b46c5e71f94e245e625e2b12c2f178acff7d3b0dbf7c3c7
+DIST gvfs-1.34.2.1.tar.xz 1822700 BLAKE2B 2de1e86bf9dfe6567c59c7d1e2032f9e749daef0a1deb27963c0b5122be5925256c02a90dae5371bed9e037137400cca8e3461f415b3bed36de4310757bced62 SHA512 ff8d2ebff220e8432584d13640747d54c78c7350c0b8b9ed8544eb311fb4211897fb8473375b246cc1271df507f5ae2dd4edc6d5fd5d2061792377f3f37ebdb1
diff --git a/gnome-base/gvfs/gvfs-1.34.2.1-r1.ebuild b/gnome-base/gvfs/gvfs-1.34.2.1-r1.ebuild
new file mode 100644
index 00000000000..b878910dd5e
--- /dev/null
+++ b/gnome-base/gvfs/gvfs-1.34.2.1-r1.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+GNOME2_EAUTORECONF="yes"
+
+inherit gnome2 systemd
+
+DESCRIPTION="Virtual filesystem implementation for gio"
+HOMEPAGE="https://wiki.gnome.org/Projects/gvfs"
+SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+
+IUSE="afp archive bluray cdda elogind fuse google gnome-keyring gnome-online-accounts gphoto2 +http ios mtp nfs policykit samba systemd test +udev udisks zeroconf"
+REQUIRED_USE="
+ cdda? ( udev )
+ elogind? ( !systemd udisks )
+ google? ( gnome-online-accounts )
+ mtp? ( udev )
+ udisks? ( udev )
+ systemd? ( !elogind udisks )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+ app-crypt/gcr:=
+ >=dev-libs/glib-2.51:2
+ dev-libs/libxml2:2
+ net-misc/openssh
+ afp? ( >=dev-libs/libgcrypt-1.2.2:0= )
+ archive? ( app-arch/libarchive:= )
+ bluray? ( media-libs/libbluray:= )
+ elogind? ( >=sys-auth/elogind-229:0= )
+ fuse? ( >=sys-fs/fuse-2.8.0:0 )
+ gnome-keyring? ( app-crypt/libsecret )
+ gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.7.1:= )
+ google? (
+ >=dev-libs/libgdata-0.17.9:=[crypt,gnome-online-accounts]
+ >=net-libs/gnome-online-accounts-3.17.1:= )
+ gphoto2? ( >=media-libs/libgphoto2-2.5.0:= )
+ http? ( >=net-libs/libsoup-2.42:2.4 )
+ ios? (
+ >=app-pda/libimobiledevice-1.2:=
+ >=app-pda/libplist-1:= )
+ mtp? (
+ >=dev-libs/libusb-1.0.21
+ >=media-libs/libmtp-1.1.12 )
+ nfs? ( >=net-fs/libnfs-1.9.8 )
+ policykit? (
+ sys-auth/polkit
+ sys-libs/libcap )
+ samba? ( >=net-fs/samba-4[client] )
+ systemd? ( >=sys-apps/systemd-206:0= )
+ udev? (
+ cdda? ( dev-libs/libcdio-paranoia )
+ >=virtual/libgudev-147:=
+ virtual/libudev:= )
+ udisks? ( >=sys-fs/udisks-1.97:2 )
+ zeroconf? ( >=net-dns/avahi-0.6 )
+"
+DEPEND="${RDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=sys-devel/gettext-0.19.4
+ virtual/pkgconfig
+ dev-util/gdbus-codegen
+ dev-util/gtk-doc-am
+ test? (
+ >=dev-python/twisted-16
+ || (
+ net-analyzer/netcat
+ net-analyzer/netcat6 ) )
+ !udev? ( >=dev-libs/libgcrypt-1.2.2:0 )
+"
+# libgcrypt.m4, provided by libgcrypt, needed for eautoreconf, bug #399043
+# test dependencies needed per https://bugzilla.gnome.org/700162
+
+# Tests with multiple failures, this is being handled upstream at:
+# https://bugzilla.gnome.org/700162
+RESTRICT="test"
+
+PATCHES=(
+ "${WORKDIR}"/patches/ # origin/gnome-3-26@20180912 + elogind support (requires eautoreconf)
+)
+
+src_prepare() {
+ if ! use udev; then
+ sed -e 's/gvfsd-burn/ /' \
+ -e 's/burn.mount.in/ /' \
+ -e 's/burn.mount/ /' \
+ -i daemon/Makefile.am || die
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # --enable-documentation installs man pages
+ # --disable-obexftp, upstream bug #729945
+ gnome2_src_configure \
+ --disable-gdu \
+ --enable-documentation \
+ --enable-gcr \
+ --with-dbus-service-dir="${EPREFIX}"/usr/share/dbus-1/services \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)" \
+ $(use_enable afp) \
+ $(use_enable archive) \
+ $(use_enable bluray) \
+ $(use_enable cdda) \
+ $(use_enable elogind libelogind) \
+ $(use_enable fuse) \
+ $(use_enable gnome-keyring keyring) \
+ $(use_enable gnome-online-accounts goa) \
+ $(use_enable google) \
+ $(use_enable gphoto2) \
+ $(use_enable http) \
+ $(use_enable ios afc) \
+ $(use_enable mtp libmtp) \
+ $(use_enable mtp libusb) \
+ $(use_enable nfs) \
+ $(use_enable policykit admin) \
+ $(use_enable samba) \
+ $(use_enable systemd libsystemd-login) \
+ $(use_enable udev gudev) \
+ $(use_enable udev) \
+ $(use_enable udisks udisks2) \
+ $(use_enable zeroconf avahi)
+}